Subject: RE: bug#14176: 24.3.50; `bookmark-completing-read': prompt and return value for "" DEFAULT

From: "Drew Adams" <[email-masked]>
Date: Sat, 13 Apr 2013 08:46:32 -0700

> Here with the docstring modified, if you want to modify the docstring
> (or something else), provide a patch to allow Stefan to apply the
> changes.

Looks good to me, thanks.  I would still suggest that we use

 (if (consp default) (car default) default)

instead of just `default', in the `format' sexp, to allow for a cons DEFAULT
value.

There is no reason not to, IMO.  A caller might pass, for example, a list of (a)
the current bookmark, (b) a bookmark mentioned in text at point, (c) the
bookmark whose target location is closest to point...  Or a caller might pass a
list of bookmarks with targets in the current buffer/file.  And so on.

But that enhancement, though trivial, is outside this bug report.  And if/when
we do that, it would also be good to update the doc string to mention that
DEFAULT can be a cons (as in `completing-read').